import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface CnGateway{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 服务中心ID
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * 应用ID
    * @type { string }
    */
    appId?: string;
    /**
    * 环境ID
    * @type { string }
    */
    envId?: string;
    /**
    * TEST/PROD...
    * @type { string }
    */
    envCode?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * K8S集群ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * 配置中心代码多个用逗号隔开
    * @type { string }
    */
    configCenterCode?: string;
    /**
    * 镜像id
    * @type { string }
    */
    imageId?: string;
    /**
    * repositoryName:tag
    * @type { string }
    */
    imageInfo?: string;
    /**
    * 容器启动脚本：sleep 6000
    * @type { string }
    */
    startScript?: string;
    /**
    * 容器规格id
    * @type { string }
    */
    specTemplateId?: string;
    /**
    * 弹性伸缩模板ID
    * @type { string }
    */
    metricsTemplateId?: string;
    /**
    * 最小实例数
    * @type { number }
    */
    minInstance?: number;
    /**
    * 最大实例数
    * @type { number }
    */
    maxInstance?: number;
    /**
    * cpu
    * @type { string }
    */
    cpu?: string;
    /**
    * 内存
    * @type { string }
    */
    memory?: string;
    /**
    * 域名
    * @type { string }
    */
    domain?: string;
    /**
    * URI
    * @type { string }
    */
    uri?: string;
    /**
    * 应用选项配置JSON
    * @type { string }
    */
    appOptionsConfig?: string;
    /**
    * 0-已部署、1-待部署、2-部署中、3-部署失败、4-待释放、5-停止中、6-已释放、7-释放失败
    * @type { number }
    */
    deployStatus?: number;
    /**
    * 部署日志信息
    * @type { string }
    */
    deployMsg?: string;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * service_center_name
    * @type { string }
    */
    serviceCenterName?: string;
    /**
    * app_name
    * @type { string }
    */
    appName?: string;
    /**
    * k8s_name
    * @type { string }
    */
    k8sName?: string;
    /**
    * image_name
    * @type { string }
    */
    imageName?: string;
    /**
    * spec_template_name
    * @type { string }
    */
    specTemplateName?: string;
    /**
    * metrics_template_name
    * @type { string }
    */
    metricsTemplateName?: string;
    /**
    * 端口映射
    * @type { string }
    */
    imagePortMapping?: string;
    /**
    * 0:固定实例，1:弹性实例
    * @type { string }
    */
    elasticType?: string;
    /**
    * 阿里云/华为云SLBID
    * @type { string }
    */
    cnSlbId?: string;
    /**
    * deploy_tag
    * @type { string }
    */
    deployTag?: string;
    /**
    * extend field in CnSLB
    * 名称
    * @type { string }
    */
    slbName?: string;
    /**
    * extend field in CnSLB
    * 服务地址
    * @type { string }
    */
    slbIp?: string;
    /**
    * 子表 CnLabelRef 
    * @type { CnLabelRef[] }
    */
    cnLabelRef?:CnLabelRef[];

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class CnGatewayMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get SERVICE_CENTER_ID(): FieldInfo{  
        return new FieldInfo('serviceCenterId','服务中心ID');
    }
    static get APP_ID(): FieldInfo{  
        return new FieldInfo('appId','应用ID');
    }
    static get ENV_ID(): FieldInfo{  
        return new FieldInfo('envId','环境ID');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','TEST/PROD...');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','名称');
    }
    static get K8S_ID(): FieldInfo{  
        return new FieldInfo('k8sId','K8S集群ID');
    }
    static get CONFIG_CENTER_CODE(): FieldInfo{  
        return new FieldInfo('configCenterCode','配置中心代码多个用逗号隔开');
    }
    static get IMAGE_ID(): FieldInfo{  
        return new FieldInfo('imageId','镜像id');
    }
    static get IMAGE_INFO(): FieldInfo{  
        return new FieldInfo('imageInfo','repositoryName:tag');
    }
    static get START_SCRIPT(): FieldInfo{  
        return new FieldInfo('startScript','容器启动脚本：sleep 6000');
    }
    static get SPEC_TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('specTemplateId','容器规格id');
    }
    static get METRICS_TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('metricsTemplateId','弹性伸缩模板ID');
    }
    static get MIN_INSTANCE(): FieldInfo{  
        return new FieldInfo('minInstance','最小实例数');
    }
    static get MAX_INSTANCE(): FieldInfo{  
        return new FieldInfo('maxInstance','最大实例数');
    }
    static get CPU(): FieldInfo{  
        return new FieldInfo('cpu','cpu');
    }
    static get MEMORY(): FieldInfo{  
        return new FieldInfo('memory','内存');
    }
    static get DOMAIN(): FieldInfo{  
        return new FieldInfo('domain','域名');
    }
    static get URI(): FieldInfo{  
        return new FieldInfo('uri','URI');
    }
    static get APP_OPTIONS_CONFIG(): FieldInfo{  
        return new FieldInfo('appOptionsConfig','应用选项配置JSON');
    }
    static get DEPLOY_STATUS(): FieldInfo{  
        return new FieldInfo('deployStatus','0-已部署、1-待部署、2-部署中、3-部署失败、4-待释放、5-停止中、6-已释放、7-释放失败');
    }
    static get DEPLOY_MSG(): FieldInfo{  
        return new FieldInfo('deployMsg','部署日志信息');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','删除标记');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','更新人');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get SERVICE_CENTER_NAME(): FieldInfo{  
        return new FieldInfo('serviceCenterName','service_center_name');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','app_name');
    }
    static get K8S_NAME(): FieldInfo{  
        return new FieldInfo('k8sName','k8s_name');
    }
    static get IMAGE_NAME(): FieldInfo{  
        return new FieldInfo('imageName','image_name');
    }
    static get SPEC_TEMPLATE_NAME(): FieldInfo{  
        return new FieldInfo('specTemplateName','spec_template_name');
    }
    static get METRICS_TEMPLATE_NAME(): FieldInfo{  
        return new FieldInfo('metricsTemplateName','metrics_template_name');
    }
    static get IMAGE_PORT_MAPPING(): FieldInfo{  
        return new FieldInfo('imagePortMapping','端口映射');
    }
    static get ELASTIC_TYPE(): FieldInfo{  
        return new FieldInfo('elasticType','0:固定实例，1:弹性实例');
    }
    static get CN_SLB_ID(): FieldInfo{  
        return new FieldInfo('cnSlbId','阿里云/华为云SLBID');
    }
    static get DEPLOY_TAG(): FieldInfo{  
        return new FieldInfo('deployTag','deploy_tag');
    }
    static get SLB_NAME(): FieldInfo{  
        return new FieldInfo('slbName','名称');
    }
    static get SLB_IP(): FieldInfo{  
        return new FieldInfo('slbIp','服务地址');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface CnGatewayVO{
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * service_center_id
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * service_center_name
    * @type { string }
    */
    serviceCenterName?: string;
    /**
    * app_id
    * @type { string }
    */
    appId?: string;
    /**
    * app_name
    * @type { string }
    */
    appName?: string;
    /**
    * env_id
    * @type { string }
    */
    envId?: string;
    /**
    * env_code
    * @type { string }
    */
    envCode?: string;
    /**
    * k8s_id
    * @type { string }
    */
    k8sId?: string;
    /**
    * k8s_name
    * @type { string }
    */
    k8sName?: string;
    /**
    * config_center_code
    * @type { string }
    */
    configCenterCode?: string;
    /**
    * image_id
    * @type { string }
    */
    imageId?: string;
    /**
    * name
    * @type { string }
    */
    name?: string;
    /**
    * image_name
    * @type { string }
    */
    imageName?: string;
    /**
    * image_info
    * @type { string }
    */
    imageInfo?: string;
    /**
    * start_script
    * @type { string }
    */
    startScript?: string;
    /**
    * cn_slb_id
    * @type { string }
    */
    cnSlbId?: string;
    /**
    * spec_template_id
    * @type { string }
    */
    specTemplateId?: string;
    /**
    * spec_template_name
    * @type { string }
    */
    specTemplateName?: string;
    /**
    * metrics_template_id
    * @type { string }
    */
    metricsTemplateId?: string;
    /**
    * metrics_template_name
    * @type { string }
    */
    metricsTemplateName?: string;
    /**
    * min_instance
    * @type { number }
    */
    minInstance?: number;
    /**
    * max_instance
    * @type { number }
    */
    maxInstance?: number;
    /**
    * cpu
    * @type { string }
    */
    cpu?: string;
    /**
    * memory
    * @type { string }
    */
    memory?: string;
    /**
    * app_options_config
    * @type { string }
    */
    appOptionsConfig?: string;
    /**
    * deploy_status
    * @type { number }
    */
    deployStatus?: number;
    /**
    * deploy_msg
    * @type { string }
    */
    deployMsg?: string;
    /**
    * deleted
    * @type { string }
    */
    deleted?: string;
    /**
    * create_user_id
    * @type { string }
    */
    createUserId?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_user_id
    * @type { string }
    */
    updateUserId?: string;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * image_port_mapping
    * @type { string }
    */
    imagePortMapping?: string;
    /**
    * elastic_type
    * @type { string }
    */
    elasticType?: string;
    /**
    * slb_name
    * @type { string }
    */
    slbName?: string;
    /**
    * domain
    * @type { string }
    */
    domain?: string;
    /**
    * uri
    * @type { string }
    */
    uri?: string;
    /**
    * label_id
    * @type { string }
    */
    labelId?: string;
    /**
    * deploy_tag
    * @type { string }
    */
    deployTag?: string;
}
export class CnGatewayVOMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','id');
    }
    static get SERVICE_CENTER_ID(): FieldInfo{  
        return new FieldInfo('serviceCenterId','service_center_id');
    }
    static get SERVICE_CENTER_NAME(): FieldInfo{  
        return new FieldInfo('serviceCenterName','service_center_name');
    }
    static get APP_ID(): FieldInfo{  
        return new FieldInfo('appId','app_id');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','app_name');
    }
    static get ENV_ID(): FieldInfo{  
        return new FieldInfo('envId','env_id');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','env_code');
    }
    static get K8S_ID(): FieldInfo{  
        return new FieldInfo('k8sId','k8s_id');
    }
    static get K8S_NAME(): FieldInfo{  
        return new FieldInfo('k8sName','k8s_name');
    }
    static get CONFIG_CENTER_CODE(): FieldInfo{  
        return new FieldInfo('configCenterCode','config_center_code');
    }
    static get IMAGE_ID(): FieldInfo{  
        return new FieldInfo('imageId','image_id');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','name');
    }
    static get IMAGE_NAME(): FieldInfo{  
        return new FieldInfo('imageName','image_name');
    }
    static get IMAGE_INFO(): FieldInfo{  
        return new FieldInfo('imageInfo','image_info');
    }
    static get START_SCRIPT(): FieldInfo{  
        return new FieldInfo('startScript','start_script');
    }
    static get CN_SLB_ID(): FieldInfo{  
        return new FieldInfo('cnSlbId','cn_slb_id');
    }
    static get SPEC_TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('specTemplateId','spec_template_id');
    }
    static get SPEC_TEMPLATE_NAME(): FieldInfo{  
        return new FieldInfo('specTemplateName','spec_template_name');
    }
    static get METRICS_TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('metricsTemplateId','metrics_template_id');
    }
    static get METRICS_TEMPLATE_NAME(): FieldInfo{  
        return new FieldInfo('metricsTemplateName','metrics_template_name');
    }
    static get MIN_INSTANCE(): FieldInfo{  
        return new FieldInfo('minInstance','min_instance');
    }
    static get MAX_INSTANCE(): FieldInfo{  
        return new FieldInfo('maxInstance','max_instance');
    }
    static get CPU(): FieldInfo{  
        return new FieldInfo('cpu','cpu');
    }
    static get MEMORY(): FieldInfo{  
        return new FieldInfo('memory','memory');
    }
    static get APP_OPTIONS_CONFIG(): FieldInfo{  
        return new FieldInfo('appOptionsConfig','app_options_config');
    }
    static get DEPLOY_STATUS(): FieldInfo{  
        return new FieldInfo('deployStatus','deploy_status');
    }
    static get DEPLOY_MSG(): FieldInfo{  
        return new FieldInfo('deployMsg','deploy_msg');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','deleted');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','create_user_id');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','create_time');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','update_user_id');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','update_time');
    }
    static get IMAGE_PORT_MAPPING(): FieldInfo{  
        return new FieldInfo('imagePortMapping','image_port_mapping');
    }
    static get ELASTIC_TYPE(): FieldInfo{  
        return new FieldInfo('elasticType','elastic_type');
    }
    static get SLB_NAME(): FieldInfo{  
        return new FieldInfo('slbName','slb_name');
    }
    static get DOMAIN(): FieldInfo{  
        return new FieldInfo('domain','domain');
    }
    static get URI(): FieldInfo{  
        return new FieldInfo('uri','uri');
    }
    static get LABEL_ID(): FieldInfo{  
        return new FieldInfo('labelId','label_id');
    }
    static get DEPLOY_TAG(): FieldInfo{  
        return new FieldInfo('deployTag','deploy_tag');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface CnBaseServiceVO{
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * service_center_id
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * service_center_name
    * @type { string }
    */
    serviceCenterName?: string;
    /**
    * app_id
    * @type { string }
    */
    appId?: string;
    /**
    * app_name
    * @type { string }
    */
    appName?: string;
    /**
    * env_id
    * @type { string }
    */
    envId?: string;
    /**
    * env_code
    * @type { string }
    */
    envCode?: string;
    /**
    * k8s_id
    * @type { string }
    */
    k8sId?: string;
    /**
    * k8s_name
    * @type { string }
    */
    k8sName?: string;
    /**
    * config_center_code
    * @type { string }
    */
    configCenterCode?: string;
    /**
    * image_id
    * @type { string }
    */
    imageId?: string;
    /**
    * name
    * @type { string }
    */
    name?: string;
    /**
    * image_name
    * @type { string }
    */
    imageName?: string;
    /**
    * image_info
    * @type { string }
    */
    imageInfo?: string;
    /**
    * start_script
    * @type { string }
    */
    startScript?: string;
    /**
    * image_port_mapping
    * @type { string }
    */
    imagePortMapping?: string;
    /**
    * cn_slb_id
    * @type { string }
    */
    cnSlbId?: string;
    /**
    * slb_port_mapping
    * @type { string }
    */
    slbPortMapping?: string;
    /**
    * spec_template_id
    * @type { string }
    */
    specTemplateId?: string;
    /**
    * spec_template_name
    * @type { string }
    */
    specTemplateName?: string;
    /**
    * metrics_template_id
    * @type { string }
    */
    metricsTemplateId?: string;
    /**
    * metrics_template_name
    * @type { string }
    */
    metricsTemplateName?: string;
    /**
    * min_instance
    * @type { number }
    */
    minInstance?: number;
    /**
    * max_instance
    * @type { number }
    */
    maxInstance?: number;
    /**
    * cpu
    * @type { string }
    */
    cpu?: string;
    /**
    * memory
    * @type { string }
    */
    memory?: string;
    /**
    * progress_keyword
    * @type { string }
    */
    progressKeyword?: string;
    /**
    * app_options_config
    * @type { string }
    */
    appOptionsConfig?: string;
    /**
    * deploy_status
    * @type { number }
    */
    deployStatus?: number;
    /**
    * deploy_msg
    * @type { string }
    */
    deployMsg?: string;
    /**
    * deleted
    * @type { string }
    */
    deleted?: string;
    /**
    * create_user_id
    * @type { string }
    */
    createUserId?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_user_id
    * @type { string }
    */
    updateUserId?: string;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * slb_name
    * @type { string }
    */
    slbName?: string;
    /**
    * label_id
    * @type { string }
    */
    labelId?: string;
    /**
    * deploy_tag
    * @type { string }
    */
    deployTag?: string;
}
export class CnBaseServiceVOMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','id');
    }
    static get SERVICE_CENTER_ID(): FieldInfo{  
        return new FieldInfo('serviceCenterId','service_center_id');
    }
    static get SERVICE_CENTER_NAME(): FieldInfo{  
        return new FieldInfo('serviceCenterName','service_center_name');
    }
    static get APP_ID(): FieldInfo{  
        return new FieldInfo('appId','app_id');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','app_name');
    }
    static get ENV_ID(): FieldInfo{  
        return new FieldInfo('envId','env_id');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','env_code');
    }
    static get K8S_ID(): FieldInfo{  
        return new FieldInfo('k8sId','k8s_id');
    }
    static get K8S_NAME(): FieldInfo{  
        return new FieldInfo('k8sName','k8s_name');
    }
    static get CONFIG_CENTER_CODE(): FieldInfo{  
        return new FieldInfo('configCenterCode','config_center_code');
    }
    static get IMAGE_ID(): FieldInfo{  
        return new FieldInfo('imageId','image_id');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','name');
    }
    static get IMAGE_NAME(): FieldInfo{  
        return new FieldInfo('imageName','image_name');
    }
    static get IMAGE_INFO(): FieldInfo{  
        return new FieldInfo('imageInfo','image_info');
    }
    static get START_SCRIPT(): FieldInfo{  
        return new FieldInfo('startScript','start_script');
    }
    static get IMAGE_PORT_MAPPING(): FieldInfo{  
        return new FieldInfo('imagePortMapping','image_port_mapping');
    }
    static get CN_SLB_ID(): FieldInfo{  
        return new FieldInfo('cnSlbId','cn_slb_id');
    }
    static get SLB_PORT_MAPPING(): FieldInfo{  
        return new FieldInfo('slbPortMapping','slb_port_mapping');
    }
    static get SPEC_TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('specTemplateId','spec_template_id');
    }
    static get SPEC_TEMPLATE_NAME(): FieldInfo{  
        return new FieldInfo('specTemplateName','spec_template_name');
    }
    static get METRICS_TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('metricsTemplateId','metrics_template_id');
    }
    static get METRICS_TEMPLATE_NAME(): FieldInfo{  
        return new FieldInfo('metricsTemplateName','metrics_template_name');
    }
    static get MIN_INSTANCE(): FieldInfo{  
        return new FieldInfo('minInstance','min_instance');
    }
    static get MAX_INSTANCE(): FieldInfo{  
        return new FieldInfo('maxInstance','max_instance');
    }
    static get CPU(): FieldInfo{  
        return new FieldInfo('cpu','cpu');
    }
    static get MEMORY(): FieldInfo{  
        return new FieldInfo('memory','memory');
    }
    static get PROGRESS_KEYWORD(): FieldInfo{  
        return new FieldInfo('progressKeyword','progress_keyword');
    }
    static get APP_OPTIONS_CONFIG(): FieldInfo{  
        return new FieldInfo('appOptionsConfig','app_options_config');
    }
    static get DEPLOY_STATUS(): FieldInfo{  
        return new FieldInfo('deployStatus','deploy_status');
    }
    static get DEPLOY_MSG(): FieldInfo{  
        return new FieldInfo('deployMsg','deploy_msg');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','deleted');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','create_user_id');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','create_time');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','update_user_id');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','update_time');
    }
    static get SLB_NAME(): FieldInfo{  
        return new FieldInfo('slbName','slb_name');
    }
    static get LABEL_ID(): FieldInfo{  
        return new FieldInfo('labelId','label_id');
    }
    static get DEPLOY_TAG(): FieldInfo{  
        return new FieldInfo('deployTag','deploy_tag');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface CnLabel{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * 描述
    * @type { string }
    */
    describe?: string;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class CnLabelMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','名称');
    }
    static get DESCRIBE(): FieldInfo{  
        return new FieldInfo('describe','描述');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','删除标记');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','更新人');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface CnProjectDeploy{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 服务中心ID
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * 应用ID
    * @type { string }
    */
    appId?: string;
    /**
    * 环境ID
    * @type { string }
    */
    envId?: string;
    /**
    * TEST/PROD...
    * @type { string }
    */
    envCode?: string;
    /**
    * K8S集群ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * 项目ID
    * @type { string }
    */
    projectId?: string;
    /**
    * 网关ID
    * @type { string }
    */
    gatewayId?: string;
    /**
    * 项目版本
    * @type { string }
    */
    projectVersion?: string;
    /**
    * 1-jar,2-war
    * @type { number }
    */
    packType?: number;
    /**
    * 镜像id
    * @type { string }
    */
    imageId?: string;
    /**
    * repositoryName:tag
    * @type { string }
    */
    imageInfo?: string;
    /**
    * 容器启动脚本：sleep 6000
    * @type { string }
    */
    startScript?: string;
    /**
    * 8080
    * @type { string }
    */
    imagePortMapping?: string;
    /**
    * OSS文件名称
    * @type { string }
    */
    ossFileName?: string;
    /**
    * 环境变量JSON
    * @type { string }
    */
    envJson?: string;
    /**
    * 容器规格id
    * @type { string }
    */
    specTemplateId?: string;
    /**
    * 弹性伸缩模板ID
    * @type { string }
    */
    metricsTemplateId?: string;
    /**
    * 1
    * @type { number }
    */
    minInstance?: number;
    /**
    * 8
    * @type { number }
    */
    maxInstance?: number;
    /**
    * cpu
    * @type { string }
    */
    cpu?: string;
    /**
    * 内存
    * @type { string }
    */
    memory?: string;
    /**
    * 进程关键字
    * @type { string }
    */
    progressKeyword?: string;
    /**
    * 应用选项配置JSON
    * @type { string }
    */
    appOptionsConfig?: string;
    /**
    * Kafka配置
    * @type { string }
    */
    kafkaConfig?: string;
    /**
    * KafakID
    * @type { string }
    */
    kafakId?: string;
    /**
    * 0-已部署、1-待部署、2-部署中、3-部署失败、4-待释放、5-停止中、6-已释放、7-释放失败
    * @type { number }
    */
    deployStatus?: number;
    /**
    * 部署日志信息
    * @type { string }
    */
    deployMsg?: string;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * service_center_name
    * @type { string }
    */
    serviceCenterName?: string;
    /**
    * app_name
    * @type { string }
    */
    appName?: string;
    /**
    * k8s_name
    * @type { string }
    */
    k8sName?: string;
    /**
    * image_name
    * @type { string }
    */
    imageName?: string;
    /**
    * spec_template_name
    * @type { string }
    */
    specTemplateName?: string;
    /**
    * metrics_template_name
    * @type { string }
    */
    metricsTemplateName?: string;
    /**
    * deploy_tag
    * @type { string }
    */
    deployTag?: string;
    /**
    * extend field in CnProject
    * 项目代码
    * @type { string }
    */
    projectCode?: string;
    /**
    * extend field in CnProject
    * 健康检查url
    * @type { string }
    */
    healthyUrl?: string;
    /**
    * extend field in CnProject
    * 配置代码
    * @type { string }
    */
    configCenterCode?: string;
    /**
    * extend field in CnProject
    * 容器端口
    * @type { string }
    */
    prjImagePortMapping?: string;
    /**
    * extend field in CnProject
    * 主类
    * @type { string }
    */
    mainClass?: string;
    /**
    * 子表 CnProjectContext 
    * @type { CnProjectContext[] }
    */
    cnProjectContext?:CnProjectContext[];

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class CnProjectDeployMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get SERVICE_CENTER_ID(): FieldInfo{  
        return new FieldInfo('serviceCenterId','服务中心ID');
    }
    static get APP_ID(): FieldInfo{  
        return new FieldInfo('appId','应用ID');
    }
    static get ENV_ID(): FieldInfo{  
        return new FieldInfo('envId','环境ID');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','TEST/PROD...');
    }
    static get K8S_ID(): FieldInfo{  
        return new FieldInfo('k8sId','K8S集群ID');
    }
    static get PROJECT_ID(): FieldInfo{  
        return new FieldInfo('projectId','项目ID');
    }
    static get GATEWAY_ID(): FieldInfo{  
        return new FieldInfo('gatewayId','网关ID');
    }
    static get PROJECT_VERSION(): FieldInfo{  
        return new FieldInfo('projectVersion','项目版本');
    }
    static get PACK_TYPE(): FieldInfo{  
        return new FieldInfo('packType','1-jar,2-war');
    }
    static get IMAGE_ID(): FieldInfo{  
        return new FieldInfo('imageId','镜像id');
    }
    static get IMAGE_INFO(): FieldInfo{  
        return new FieldInfo('imageInfo','repositoryName:tag');
    }
    static get START_SCRIPT(): FieldInfo{  
        return new FieldInfo('startScript','容器启动脚本：sleep 6000');
    }
    static get IMAGE_PORT_MAPPING(): FieldInfo{  
        return new FieldInfo('imagePortMapping','8080');
    }
    static get OSS_FILE_NAME(): FieldInfo{  
        return new FieldInfo('ossFileName','OSS文件名称');
    }
    static get ENV_JSON(): FieldInfo{  
        return new FieldInfo('envJson','环境变量JSON');
    }
    static get SPEC_TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('specTemplateId','容器规格id');
    }
    static get METRICS_TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('metricsTemplateId','弹性伸缩模板ID');
    }
    static get MIN_INSTANCE(): FieldInfo{  
        return new FieldInfo('minInstance','1');
    }
    static get MAX_INSTANCE(): FieldInfo{  
        return new FieldInfo('maxInstance','8');
    }
    static get CPU(): FieldInfo{  
        return new FieldInfo('cpu','cpu');
    }
    static get MEMORY(): FieldInfo{  
        return new FieldInfo('memory','内存');
    }
    static get PROGRESS_KEYWORD(): FieldInfo{  
        return new FieldInfo('progressKeyword','进程关键字');
    }
    static get APP_OPTIONS_CONFIG(): FieldInfo{  
        return new FieldInfo('appOptionsConfig','应用选项配置JSON');
    }
    static get KAFKA_CONFIG(): FieldInfo{  
        return new FieldInfo('kafkaConfig','Kafka配置');
    }
    static get KAFAK_ID(): FieldInfo{  
        return new FieldInfo('kafakId','KafakID');
    }
    static get DEPLOY_STATUS(): FieldInfo{  
        return new FieldInfo('deployStatus','0-已部署、1-待部署、2-部署中、3-部署失败、4-待释放、5-停止中、6-已释放、7-释放失败');
    }
    static get DEPLOY_MSG(): FieldInfo{  
        return new FieldInfo('deployMsg','部署日志信息');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','删除标记');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','更新人');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get SERVICE_CENTER_NAME(): FieldInfo{  
        return new FieldInfo('serviceCenterName','service_center_name');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','app_name');
    }
    static get K8S_NAME(): FieldInfo{  
        return new FieldInfo('k8sName','k8s_name');
    }
    static get IMAGE_NAME(): FieldInfo{  
        return new FieldInfo('imageName','image_name');
    }
    static get SPEC_TEMPLATE_NAME(): FieldInfo{  
        return new FieldInfo('specTemplateName','spec_template_name');
    }
    static get METRICS_TEMPLATE_NAME(): FieldInfo{  
        return new FieldInfo('metricsTemplateName','metrics_template_name');
    }
    static get DEPLOY_TAG(): FieldInfo{  
        return new FieldInfo('deployTag','deploy_tag');
    }
    static get PROJECT_CODE(): FieldInfo{  
        return new FieldInfo('projectCode','项目代码');
    }
    static get HEALTHY_URL(): FieldInfo{  
        return new FieldInfo('healthyUrl','健康检查url');
    }
    static get CONFIG_CENTER_CODE(): FieldInfo{  
        return new FieldInfo('configCenterCode','配置代码');
    }
    static get PRJ_IMAGE_PORT_MAPPING(): FieldInfo{  
        return new FieldInfo('prjImagePortMapping','容器端口');
    }
    static get MAIN_CLASS(): FieldInfo{  
        return new FieldInfo('mainClass','主类');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface CnDeployLog{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * k8s_id
    * @type { string }
    */
    k8sId?: string;
    /**
    * pod_id
    * @type { string }
    */
    podId?: string;
    /**
    * pod_ip
    * @type { string }
    */
    podIp?: string;
    /**
    * pvc_id
    * @type { string }
    */
    pvcId?: string;
    /**
    * pvc状态
    * @type { number }
    */
    pvcStatus?: number;
    /**
    * 启动时间
    * @type { Date }
    */
    startTime?: Date;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 部署ID
    * @type { string }
    */
    deployId?: string;
}
export class CnDeployLogMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get K8S_ID(): FieldInfo{  
        return new FieldInfo('k8sId','k8s_id');
    }
    static get POD_ID(): FieldInfo{  
        return new FieldInfo('podId','pod_id');
    }
    static get POD_IP(): FieldInfo{  
        return new FieldInfo('podIp','pod_ip');
    }
    static get PVC_ID(): FieldInfo{  
        return new FieldInfo('pvcId','pvc_id');
    }
    static get PVC_STATUS(): FieldInfo{  
        return new FieldInfo('pvcStatus','pvc状态');
    }
    static get START_TIME(): FieldInfo{  
        return new FieldInfo('startTime','启动时间');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','删除标记');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','更新人');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get DEPLOY_ID(): FieldInfo{  
        return new FieldInfo('deployId','部署ID');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface CnOpsLog{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 记录实体ID
    * @type { string }
    */
    entityId?: string;
    /**
    * 操作前记录
    * @type { string }
    */
    opsBefore?: string;
    /**
    * 操作后记录
    * @type { string }
    */
    opsAfter?: string;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class CnOpsLogMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get ENTITY_ID(): FieldInfo{  
        return new FieldInfo('entityId','记录实体ID');
    }
    static get OPS_BEFORE(): FieldInfo{  
        return new FieldInfo('opsBefore','操作前记录');
    }
    static get OPS_AFTER(): FieldInfo{  
        return new FieldInfo('opsAfter','操作后记录');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','删除标记');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','更新人');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface CnBaseService{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 服务中心ID
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * 应用ID
    * @type { string }
    */
    appId?: string;
    /**
    * 环境ID
    * @type { string }
    */
    envId?: string;
    /**
    * TEST/PROD...
    * @type { string }
    */
    envCode?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * K8S集群ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * 配置中心代码多个用逗号隔开
    * @type { string }
    */
    configCenterCode?: string;
    /**
    * 镜像id
    * @type { string }
    */
    imageId?: string;
    /**
    * repositoryName:tag
    * @type { string }
    */
    imageInfo?: string;
    /**
    * 容器启动脚本：/opt/app/start.sh
    * @type { string }
    */
    startScript?: string;
    /**
    * 内外端口一致，填写需要映射端口（例：8080,6379）
    * @type { string }
    */
    imagePortMapping?: string;
    /**
    * SLB设置主键
    * @type { string }
    */
    cnSlbId?: string;
    /**
    * slb1:pod1,slb2:pod2(例：80:81,33:38)
    * @type { string }
    */
    slbPortMapping?: string;
    /**
    * 容器规格id
    * @type { string }
    */
    specTemplateId?: string;
    /**
    * 弹性伸缩模板ID
    * @type { string }
    */
    metricsTemplateId?: string;
    /**
    * 1
    * @type { number }
    */
    minInstance?: number;
    /**
    * 8
    * @type { number }
    */
    maxInstance?: number;
    /**
    * cpu
    * @type { string }
    */
    cpu?: string;
    /**
    * 内存
    * @type { string }
    */
    memory?: string;
    /**
    * 进程关键字
    * @type { string }
    */
    progressKeyword?: string;
    /**
    * 应用选项配置JSON
    * @type { string }
    */
    appOptionsConfig?: string;
    /**
    * 0-已部署、1-待部署、2-部署中、3-部署失败、4-待释放、5-停止中、6-已释放、7-释放失败
    * @type { number }
    */
    deployStatus?: number;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 部署日志信息
    * @type { string }
    */
    deployMsg?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * service_center_name
    * @type { string }
    */
    serviceCenterName?: string;
    /**
    * app_name
    * @type { string }
    */
    appName?: string;
    /**
    * k8s_name
    * @type { string }
    */
    k8sName?: string;
    /**
    * image_name
    * @type { string }
    */
    imageName?: string;
    /**
    * spec_template_name
    * @type { string }
    */
    specTemplateName?: string;
    /**
    * metrics_template_name
    * @type { string }
    */
    metricsTemplateName?: string;
    /**
    * deploy_tag
    * @type { string }
    */
    deployTag?: string;
    /**
    * extend field in CnSLB
    * 名称
    * @type { string }
    */
    slbName?: string;
    /**
    * extend field in CnSLB
    * SLB主键id
    * @type { string }
    */
    slbId?: string;
    /**
    * 子表 CnLabelRef 
    * @type { CnLabelRef[] }
    */
    cnLabelRef?:CnLabelRef[];

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class CnBaseServiceMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get SERVICE_CENTER_ID(): FieldInfo{  
        return new FieldInfo('serviceCenterId','服务中心ID');
    }
    static get APP_ID(): FieldInfo{  
        return new FieldInfo('appId','应用ID');
    }
    static get ENV_ID(): FieldInfo{  
        return new FieldInfo('envId','环境ID');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','TEST/PROD...');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','名称');
    }
    static get K8S_ID(): FieldInfo{  
        return new FieldInfo('k8sId','K8S集群ID');
    }
    static get CONFIG_CENTER_CODE(): FieldInfo{  
        return new FieldInfo('configCenterCode','配置中心代码多个用逗号隔开');
    }
    static get IMAGE_ID(): FieldInfo{  
        return new FieldInfo('imageId','镜像id');
    }
    static get IMAGE_INFO(): FieldInfo{  
        return new FieldInfo('imageInfo','repositoryName:tag');
    }
    static get START_SCRIPT(): FieldInfo{  
        return new FieldInfo('startScript','容器启动脚本：/opt/app/start.sh');
    }
    static get IMAGE_PORT_MAPPING(): FieldInfo{  
        return new FieldInfo('imagePortMapping','内外端口一致，填写需要映射端口（例：8080,6379）');
    }
    static get CN_SLB_ID(): FieldInfo{  
        return new FieldInfo('cnSlbId','SLB设置主键');
    }
    static get SLB_PORT_MAPPING(): FieldInfo{  
        return new FieldInfo('slbPortMapping','slb1:pod1,slb2:pod2(例：80:81,33:38)');
    }
    static get SPEC_TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('specTemplateId','容器规格id');
    }
    static get METRICS_TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('metricsTemplateId','弹性伸缩模板ID');
    }
    static get MIN_INSTANCE(): FieldInfo{  
        return new FieldInfo('minInstance','1');
    }
    static get MAX_INSTANCE(): FieldInfo{  
        return new FieldInfo('maxInstance','8');
    }
    static get CPU(): FieldInfo{  
        return new FieldInfo('cpu','cpu');
    }
    static get MEMORY(): FieldInfo{  
        return new FieldInfo('memory','内存');
    }
    static get PROGRESS_KEYWORD(): FieldInfo{  
        return new FieldInfo('progressKeyword','进程关键字');
    }
    static get APP_OPTIONS_CONFIG(): FieldInfo{  
        return new FieldInfo('appOptionsConfig','应用选项配置JSON');
    }
    static get DEPLOY_STATUS(): FieldInfo{  
        return new FieldInfo('deployStatus','0-已部署、1-待部署、2-部署中、3-部署失败、4-待释放、5-停止中、6-已释放、7-释放失败');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','删除标记');
    }
    static get DEPLOY_MSG(): FieldInfo{  
        return new FieldInfo('deployMsg','部署日志信息');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','更新人');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get SERVICE_CENTER_NAME(): FieldInfo{  
        return new FieldInfo('serviceCenterName','service_center_name');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','app_name');
    }
    static get K8S_NAME(): FieldInfo{  
        return new FieldInfo('k8sName','k8s_name');
    }
    static get IMAGE_NAME(): FieldInfo{  
        return new FieldInfo('imageName','image_name');
    }
    static get SPEC_TEMPLATE_NAME(): FieldInfo{  
        return new FieldInfo('specTemplateName','spec_template_name');
    }
    static get METRICS_TEMPLATE_NAME(): FieldInfo{  
        return new FieldInfo('metricsTemplateName','metrics_template_name');
    }
    static get DEPLOY_TAG(): FieldInfo{  
        return new FieldInfo('deployTag','deploy_tag');
    }
    static get SLB_NAME(): FieldInfo{  
        return new FieldInfo('slbName','名称');
    }
    static get SLB_ID(): FieldInfo{  
        return new FieldInfo('slbId','SLB主键id');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface CnProjectVO{
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * service_center_id
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * service_center_name
    * @type { string }
    */
    serviceCenterName?: string;
    /**
    * app_id
    * @type { string }
    */
    appId?: string;
    /**
    * app_name
    * @type { string }
    */
    appName?: string;
    /**
    * code
    * @type { string }
    */
    code?: string;
    /**
    * name
    * @type { string }
    */
    name?: string;
    /**
    * describe
    * @type { string }
    */
    describe?: string;
    /**
    * gitlab_url
    * @type { string }
    */
    gitlabUrl?: string;
    /**
    * username
    * @type { string }
    */
    username?: string;
    /**
    * password
    * @type { string }
    */
    password?: string;
    /**
    * is_submodule
    * @type { string }
    */
    isSubmodule?: string;
    /**
    * submodule_name
    * @type { string }
    */
    submoduleName?: string;
    /**
    * tool_version
    * @type { string }
    */
    toolVersion?: string;
    /**
    * pack_type
    * @type { number }
    */
    packType?: number;
    /**
    * tapd_id
    * @type { string }
    */
    tapdId?: string;
    /**
    * type
    * @type { number }
    */
    type?: number;
    /**
    * healthy_url
    * @type { string }
    */
    healthyUrl?: string;
    /**
    * main_class
    * @type { string }
    */
    mainClass?: string;
    /**
    * config_center_code
    * @type { string }
    */
    configCenterCode?: string;
    /**
    * image_port_mapping
    * @type { string }
    */
    imagePortMapping?: string;
    /**
    * deleted
    * @type { string }
    */
    deleted?: string;
    /**
    * create_user_id
    * @type { string }
    */
    createUserId?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_user_id
    * @type { string }
    */
    updateUserId?: string;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * label_id
    * @type { string }
    */
    labelId?: string;
}
export class CnProjectVOMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','id');
    }
    static get SERVICE_CENTER_ID(): FieldInfo{  
        return new FieldInfo('serviceCenterId','service_center_id');
    }
    static get SERVICE_CENTER_NAME(): FieldInfo{  
        return new FieldInfo('serviceCenterName','service_center_name');
    }
    static get APP_ID(): FieldInfo{  
        return new FieldInfo('appId','app_id');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','app_name');
    }
    static get CODE(): FieldInfo{  
        return new FieldInfo('code','code');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','name');
    }
    static get DESCRIBE(): FieldInfo{  
        return new FieldInfo('describe','describe');
    }
    static get GITLAB_URL(): FieldInfo{  
        return new FieldInfo('gitlabUrl','gitlab_url');
    }
    static get USERNAME(): FieldInfo{  
        return new FieldInfo('username','username');
    }
    static get PASSWORD(): FieldInfo{  
        return new FieldInfo('password','password');
    }
    static get IS_SUBMODULE(): FieldInfo{  
        return new FieldInfo('isSubmodule','is_submodule');
    }
    static get SUBMODULE_NAME(): FieldInfo{  
        return new FieldInfo('submoduleName','submodule_name');
    }
    static get TOOL_VERSION(): FieldInfo{  
        return new FieldInfo('toolVersion','tool_version');
    }
    static get PACK_TYPE(): FieldInfo{  
        return new FieldInfo('packType','pack_type');
    }
    static get TAPD_ID(): FieldInfo{  
        return new FieldInfo('tapdId','tapd_id');
    }
    static get TYPE(): FieldInfo{  
        return new FieldInfo('type','type');
    }
    static get HEALTHY_URL(): FieldInfo{  
        return new FieldInfo('healthyUrl','healthy_url');
    }
    static get MAIN_CLASS(): FieldInfo{  
        return new FieldInfo('mainClass','main_class');
    }
    static get CONFIG_CENTER_CODE(): FieldInfo{  
        return new FieldInfo('configCenterCode','config_center_code');
    }
    static get IMAGE_PORT_MAPPING(): FieldInfo{  
        return new FieldInfo('imagePortMapping','image_port_mapping');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','deleted');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','create_user_id');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','create_time');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','update_user_id');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','update_time');
    }
    static get LABEL_ID(): FieldInfo{  
        return new FieldInfo('labelId','label_id');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface CnProject{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 服务中心主键
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * 应用主键
    * @type { string }
    */
    appId?: string;
    /**
    * 项目代码
    * @type { string }
    */
    code?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * 描述
    * @type { string }
    */
    describe?: string;
    /**
    * GitLab地址：
    * @type { string }
    */
    gitlabUrl?: string;
    /**
    * GitLab用户
    * @type { string }
    */
    username?: string;
    /**
    * GitLab密码
    * @type { string }
    */
    password?: string;
    /**
    * 是否子模块
    * @type { string }
    */
    isSubmodule?: string;
    /**
    * 子模块名称
    * @type { string }
    */
    submoduleName?: string;
    /**
    * 例如：4.8
    * @type { string }
    */
    toolVersion?: string;
    /**
    * 1-jar,2-war
    * @type { number }
    */
    packType?: number;
    /**
    * tapdId
    * @type { string }
    */
    tapdId?: string;
    /**
    * 项目类型 0-javaDeamon,1-javaweb
    * @type { number }
    */
    type?: number;
    /**
    * 健康检查url
    * @type { string }
    */
    healthyUrl?: string;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 服务中心名称
    * @type { string }
    */
    serviceCenterName?: string;
    /**
    * 应用名称
    * @type { string }
    */
    appName?: string;
    /**
    * 配置代码
    * @type { string }
    */
    configCenterCode?: string;
    /**
    * 容器端口
    * @type { string }
    */
    imagePortMapping?: string;
    /**
    * 主类
    * @type { string }
    */
    mainClass?: string;
    /**
    * 子表 CnProjectContext 
    * @type { CnProjectContext[] }
    */
    cnProjectContext?:CnProjectContext[];
    /**
    * 子表 CnLabelRef 
    * @type { CnLabelRef[] }
    */
    cnLabelRef?:CnLabelRef[];

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class CnProjectMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get SERVICE_CENTER_ID(): FieldInfo{  
        return new FieldInfo('serviceCenterId','服务中心主键');
    }
    static get APP_ID(): FieldInfo{  
        return new FieldInfo('appId','应用主键');
    }
    static get CODE(): FieldInfo{  
        return new FieldInfo('code','项目代码');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','名称');
    }
    static get DESCRIBE(): FieldInfo{  
        return new FieldInfo('describe','描述');
    }
    static get GITLAB_URL(): FieldInfo{  
        return new FieldInfo('gitlabUrl','GitLab地址：');
    }
    static get USERNAME(): FieldInfo{  
        return new FieldInfo('username','GitLab用户');
    }
    static get PASSWORD(): FieldInfo{  
        return new FieldInfo('password','GitLab密码');
    }
    static get IS_SUBMODULE(): FieldInfo{  
        return new FieldInfo('isSubmodule','是否子模块');
    }
    static get SUBMODULE_NAME(): FieldInfo{  
        return new FieldInfo('submoduleName','子模块名称');
    }
    static get TOOL_VERSION(): FieldInfo{  
        return new FieldInfo('toolVersion','例如：4.8');
    }
    static get PACK_TYPE(): FieldInfo{  
        return new FieldInfo('packType','1-jar,2-war');
    }
    static get TAPD_ID(): FieldInfo{  
        return new FieldInfo('tapdId','tapdId');
    }
    static get TYPE(): FieldInfo{  
        return new FieldInfo('type','项目类型 0-javaDeamon,1-javaweb');
    }
    static get HEALTHY_URL(): FieldInfo{  
        return new FieldInfo('healthyUrl','健康检查url');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','删除标记');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','更新人');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get SERVICE_CENTER_NAME(): FieldInfo{  
        return new FieldInfo('serviceCenterName','服务中心名称');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','应用名称');
    }
    static get CONFIG_CENTER_CODE(): FieldInfo{  
        return new FieldInfo('configCenterCode','配置代码');
    }
    static get IMAGE_PORT_MAPPING(): FieldInfo{  
        return new FieldInfo('imagePortMapping','容器端口');
    }
    static get MAIN_CLASS(): FieldInfo{  
        return new FieldInfo('mainClass','主类');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface CnProjectContext{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 项目主键
    * @type { string }
    */
    projectId?: string;
    /**
    * 网关
    * @type { string }
    */
    gateway?: string;
    /**
    * URI
    * @type { string }
    */
    uri?: string;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 环境ID
    * @type { string }
    */
    envId?: string;
    /**
    * TEST/PROD...
    * @type { string }
    */
    envCode?: string;
    /**
    * extend field in CnGateway
    * 阿里云/华为云SLBID
    * @type { string }
    */
    cnSlbId?: string;
    /**
    * extend field in CnGateway
    * 服务地址
    * @type { string }
    */
    slbIp?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class CnProjectContextMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get PROJECT_ID(): FieldInfo{  
        return new FieldInfo('projectId','项目主键');
    }
    static get GATEWAY(): FieldInfo{  
        return new FieldInfo('gateway','网关');
    }
    static get URI(): FieldInfo{  
        return new FieldInfo('uri','URI');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','删除标记');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get ENV_ID(): FieldInfo{  
        return new FieldInfo('envId','环境ID');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','TEST/PROD...');
    }
    static get CN_SLB_ID(): FieldInfo{  
        return new FieldInfo('cnSlbId','阿里云/华为云SLBID');
    }
    static get SLB_IP(): FieldInfo{  
        return new FieldInfo('slbIp','服务地址');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface CnSLB{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * SLB主键id
    * @type { string }
    */
    slbId?: string;
    /**
    * 0：内网，1：外网
    * @type { number }
    */
    type?: number;
    /**
    * 服务地址
    * @type { string }
    */
    serviceIp?: string;
    /**
    * 配置信息
    * @type { any }
    */
    configuration?: any;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 0:阿里云,1:华为云
    * @type { string }
    */
    cloudProvider?: string;
    /**
    * SLB URL
    * @type { string }
    */
    url?: string;
}
export class CnSLBMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','名称');
    }
    static get SLB_ID(): FieldInfo{  
        return new FieldInfo('slbId','SLB主键id');
    }
    static get TYPE(): FieldInfo{  
        return new FieldInfo('type','0：内网，1：外网');
    }
    static get SERVICE_IP(): FieldInfo{  
        return new FieldInfo('serviceIp','服务地址');
    }
    static get CONFIGURATION(): FieldInfo{  
        return new FieldInfo('configuration','配置信息');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','删除标记');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','更新人');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get CLOUD_PROVIDER(): FieldInfo{  
        return new FieldInfo('cloudProvider','0:阿里云,1:华为云');
    }
    static get URL(): FieldInfo{  
        return new FieldInfo('url','SLB URL');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface GatewayVO{
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * service_center_name
    * @type { string }
    */
    serviceCenterName?: string;
    /**
    * app_name
    * @type { string }
    */
    appName?: string;
    /**
    * env_code
    * @type { string }
    */
    envCode?: string;
    /**
    * k8s_name
    * @type { string }
    */
    k8sName?: string;
    /**
    * name
    * @type { string }
    */
    name?: string;
    /**
    * label
    * @type { string }
    */
    label?: string;
    /**
    * config_center_code
    * @type { string }
    */
    configCenterCode?: string;
    /**
    * image_name
    * @type { string }
    */
    imageName?: string;
    /**
    * spec_template_name
    * @type { string }
    */
    specTemplateName?: string;
    /**
    * metrics_template_name
    * @type { string }
    */
    metricsTemplateName?: string;
    /**
    * image_port_mapping
    * @type { string }
    */
    imagePortMapping?: string;
    /**
    * domain
    * @type { string }
    */
    domain?: string;
    /**
    * uri
    * @type { string }
    */
    uri?: string;
    /**
    * slb_name
    * @type { string }
    */
    slbName?: string;
}
export class GatewayVOMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','id');
    }
    static get SERVICE_CENTER_NAME(): FieldInfo{  
        return new FieldInfo('serviceCenterName','service_center_name');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','app_name');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','env_code');
    }
    static get K8S_NAME(): FieldInfo{  
        return new FieldInfo('k8sName','k8s_name');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','name');
    }
    static get LABEL(): FieldInfo{  
        return new FieldInfo('label','label');
    }
    static get CONFIG_CENTER_CODE(): FieldInfo{  
        return new FieldInfo('configCenterCode','config_center_code');
    }
    static get IMAGE_NAME(): FieldInfo{  
        return new FieldInfo('imageName','image_name');
    }
    static get SPEC_TEMPLATE_NAME(): FieldInfo{  
        return new FieldInfo('specTemplateName','spec_template_name');
    }
    static get METRICS_TEMPLATE_NAME(): FieldInfo{  
        return new FieldInfo('metricsTemplateName','metrics_template_name');
    }
    static get IMAGE_PORT_MAPPING(): FieldInfo{  
        return new FieldInfo('imagePortMapping','image_port_mapping');
    }
    static get DOMAIN(): FieldInfo{  
        return new FieldInfo('domain','domain');
    }
    static get URI(): FieldInfo{  
        return new FieldInfo('uri','uri');
    }
    static get SLB_NAME(): FieldInfo{  
        return new FieldInfo('slbName','slb_name');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface CnLabelRef{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 标签主键
    * @type { string }
    */
    labelId?: string;
    /**
    * 业务关联主键
    * @type { string }
    */
    bussinessId?: string;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * extend field in CnLabel
    * 名称
    * @type { string }
    */
    labelName?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class CnLabelRefMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get LABEL_ID(): FieldInfo{  
        return new FieldInfo('labelId','标签主键');
    }
    static get BUSSINESS_ID(): FieldInfo{  
        return new FieldInfo('bussinessId','业务关联主键');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','删除标记');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get LABEL_NAME(): FieldInfo{  
        return new FieldInfo('labelName','名称');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface BaseServiceVO{
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * service_center_name
    * @type { string }
    */
    serviceCenterName?: string;
    /**
    * app_name
    * @type { string }
    */
    appName?: string;
    /**
    * env_code
    * @type { string }
    */
    envCode?: string;
    /**
    * k8s_name
    * @type { string }
    */
    k8sName?: string;
    /**
    * name
    * @type { string }
    */
    name?: string;
    /**
    * label
    * @type { string }
    */
    label?: string;
    /**
    * config_center_code
    * @type { string }
    */
    configCenterCode?: string;
    /**
    * image_name
    * @type { string }
    */
    imageName?: string;
    /**
    * spec_template_name
    * @type { string }
    */
    specTemplateName?: string;
    /**
    * metrics_template_name
    * @type { string }
    */
    metricsTemplateName?: string;
    /**
    * image_port_mapping
    * @type { string }
    */
    imagePortMapping?: string;
    /**
    * slb_name
    * @type { string }
    */
    slbName?: string;
    /**
    * slb_port_mapping
    * @type { string }
    */
    slbPortMapping?: string;
    /**
    * progress_keyword
    * @type { string }
    */
    progressKeyword?: string;
}
export class BaseServiceVOMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','id');
    }
    static get SERVICE_CENTER_NAME(): FieldInfo{  
        return new FieldInfo('serviceCenterName','service_center_name');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','app_name');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','env_code');
    }
    static get K8S_NAME(): FieldInfo{  
        return new FieldInfo('k8sName','k8s_name');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','name');
    }
    static get LABEL(): FieldInfo{  
        return new FieldInfo('label','label');
    }
    static get CONFIG_CENTER_CODE(): FieldInfo{  
        return new FieldInfo('configCenterCode','config_center_code');
    }
    static get IMAGE_NAME(): FieldInfo{  
        return new FieldInfo('imageName','image_name');
    }
    static get SPEC_TEMPLATE_NAME(): FieldInfo{  
        return new FieldInfo('specTemplateName','spec_template_name');
    }
    static get METRICS_TEMPLATE_NAME(): FieldInfo{  
        return new FieldInfo('metricsTemplateName','metrics_template_name');
    }
    static get IMAGE_PORT_MAPPING(): FieldInfo{  
        return new FieldInfo('imagePortMapping','image_port_mapping');
    }
    static get SLB_NAME(): FieldInfo{  
        return new FieldInfo('slbName','slb_name');
    }
    static get SLB_PORT_MAPPING(): FieldInfo{  
        return new FieldInfo('slbPortMapping','slb_port_mapping');
    }
    static get PROGRESS_KEYWORD(): FieldInfo{  
        return new FieldInfo('progressKeyword','progress_keyword');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface CnProjectPack{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 项目名称
    * @type { string }
    */
    projectName?: string;
    /**
    * 分支名称
    * @type { string }
    */
    branchName?: string;
    /**
    * 下载地址
    * @type { string }
    */
    downUrl?: string;
    /**
    * 标签
    * @type { string }
    */
    label?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * project_id
    * @type { string }
    */
    projectId?: string;
    /**
    * down_name
    * @type { string }
    */
    downName?: string;
    /**
    * pack_status
    * @type { number }
    */
    packStatus?: number;
    /**
    * pack_msg
    * @type { string }
    */
    packMsg?: string;
}
export class CnProjectPackMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get PROJECT_NAME(): FieldInfo{  
        return new FieldInfo('projectName','项目名称');
    }
    static get BRANCH_NAME(): FieldInfo{  
        return new FieldInfo('branchName','分支名称');
    }
    static get DOWN_URL(): FieldInfo{  
        return new FieldInfo('downUrl','下载地址');
    }
    static get LABEL(): FieldInfo{  
        return new FieldInfo('label','标签');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','备注');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','删除标记');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get PROJECT_ID(): FieldInfo{  
        return new FieldInfo('projectId','project_id');
    }
    static get DOWN_NAME(): FieldInfo{  
        return new FieldInfo('downName','down_name');
    }
    static get PACK_STATUS(): FieldInfo{  
        return new FieldInfo('packStatus','pack_status');
    }
    static get PACK_MSG(): FieldInfo{  
        return new FieldInfo('packMsg','pack_msg');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface CnK8sPod{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 部署ID
    * @type { string }
    */
    deployId?: string;
    /**
    * IP地址
    * @type { string }
    */
    ip?: string;
    /**
    * POD_ID
    * @type { string }
    */
    podId?: string;
    /**
    * K8S_ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * 环境代码
    * @type { string }
    */
    envCode?: string;
    /**
    * CNBS-基础服务、CNGATEWAY-网关服务、CNPRJ-原生项目
    * @type { string }
    */
    appType?: string;
    /**
    * 环境变量
    * @type { string }
    */
    envMap?: string;
    /**
    * Pending、Running、Succeeded、Failed、Unknown
    * @type { string }
    */
    status?: string;
    /**
    * 最近活跃时间
    * @type { Date }
    */
    lastActiveTime?: Date;
    /**
    * 最近轮询时间
    * @type { Date }
    */
    lastPollingTime?: Date;
    /**
    * 删除标记
    * @type { string }
    */
    deleted?: string;
    /**
    * 创建人
    * @type { string }
    */
    createUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新人
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class CnK8sPodMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get DEPLOY_ID(): FieldInfo{  
        return new FieldInfo('deployId','部署ID');
    }
    static get IP(): FieldInfo{  
        return new FieldInfo('ip','IP地址');
    }
    static get POD_ID(): FieldInfo{  
        return new FieldInfo('podId','POD_ID');
    }
    static get K8S_ID(): FieldInfo{  
        return new FieldInfo('k8sId','K8S_ID');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','环境代码');
    }
    static get APP_TYPE(): FieldInfo{  
        return new FieldInfo('appType','CNBS-基础服务、CNGATEWAY-网关服务、CNPRJ-原生项目');
    }
    static get ENV_MAP(): FieldInfo{  
        return new FieldInfo('envMap','环境变量');
    }
    static get STATUS(): FieldInfo{  
        return new FieldInfo('status','Pending、Running、Succeeded、Failed、Unknown');
    }
    static get LAST_ACTIVE_TIME(): FieldInfo{  
        return new FieldInfo('lastActiveTime','最近活跃时间');
    }
    static get LAST_POLLING_TIME(): FieldInfo{  
        return new FieldInfo('lastPollingTime','最近轮询时间');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','删除标记');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','更新人');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-09 09:11
 */
export interface CnRunningTarget{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 部署ID
    * @type { string }
    */
    deployId?: string;
    /**
    * K8S环境ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * 网关ID
    * @type { string }
    */
    gatewayId?: string;
    /**
    * 网关API地址
    * @type { string }
    */
    gatewayAdminUrl?: string;
    /**
    * k8s_pod_id
    * @type { string }
    */
    k8sPodId?: string;
    /**
    * pod_id
    * @type { string }
    */
    podId?: string;
    /**
    * 环境代码
    * @type { string }
    */
    envCode?: string;
    /**
    * IP
    * @type { string }
    */
    ip?: string;
    /**
    * 端口号
    * @type { string }
    */
    port?: string;
    /**
    * 云厂商
    * @type { string }
    */
    cloudProvider?: string;
    /**
    * 最近活跃时间
    * @type { Date }
    */
    lastActiveTime?: Date;
    /**
    * 最近轮询时间
    * @type { Date }
    */
    lastPollingTime?: Date;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class CnRunningTargetMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get DEPLOY_ID(): FieldInfo{  
        return new FieldInfo('deployId','部署ID');
    }
    static get K8S_ID(): FieldInfo{  
        return new FieldInfo('k8sId','K8S环境ID');
    }
    static get GATEWAY_ID(): FieldInfo{  
        return new FieldInfo('gatewayId','网关ID');
    }
    static get GATEWAY_ADMIN_URL(): FieldInfo{  
        return new FieldInfo('gatewayAdminUrl','网关API地址');
    }
    static get K8S_POD_ID(): FieldInfo{  
        return new FieldInfo('k8sPodId','k8s_pod_id');
    }
    static get POD_ID(): FieldInfo{  
        return new FieldInfo('podId','pod_id');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','环境代码');
    }
    static get IP(): FieldInfo{  
        return new FieldInfo('ip','IP');
    }
    static get PORT(): FieldInfo{  
        return new FieldInfo('port','端口号');
    }
    static get CLOUD_PROVIDER(): FieldInfo{  
        return new FieldInfo('cloudProvider','云厂商');
    }
    static get LAST_ACTIVE_TIME(): FieldInfo{  
        return new FieldInfo('lastActiveTime','最近活跃时间');
    }
    static get LAST_POLLING_TIME(): FieldInfo{  
        return new FieldInfo('lastPollingTime','最近轮询时间');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


